function vec=block_HOG(blockDir,blockMag)
% computes Histogram of Orientatio for every Cell in a given Block
% Input: blockDir = the Diriction of the gradient of the block
%        blockMag =  the Magnitude of the gradient of the block
% output: vec= Vector of HOGs for each cell in the block.
%               size of the output is 81 (3x3 cells in the block * 9 bins
%               for each cell)

vecCount=1;
for k=1 : 3
    k_start=(k-1)*6+1;
    for l=1: 3
        l_start=(l-1)*6+1;
         CellDir=blockDir(k_start:k_start + 6-1,l_start:l_start + 6-1);
         CellMag=blockMag(k_start:k_start + 6-1,l_start:l_start + 6-1);
         
         for m=1:9
             CellDirMask=(CellDir==m);
             hog= CellMag(CellDirMask);
             hogSum=sum(hog(:));
             vec(vecCount)=hogSum;
             vecCount=vecCount+1;
         end
             
    end
end
        
        
        