function export_features_SVM(features_vec,target)
% exports a vector feature to a txt file
% Using this format:
% feature_vec=[0.11, 0.342, 0.132]
% then the format is: target 1:0.11 2:0.342 3:0.132
% input: feature_vec= the hogs vector for a spicific window
%        target= -1/0/1 where -1 stands for negative
%                 0 for unknown and 1 for positive
% we used target=-1/1 in the training phase
% in the classification phase we use target=0
% output: txt file with all feature vectors with that format

   % create txt file to save the vectors
  fid=fopen('testImageWindows.txt','a');
 
   % print the target at the start of the line
   fprintf(fid,'%d',target);
   v=1:6318;
   t(1:2:6318*2)=v;
   t(2:2:6318*2)=features_vec;
   % print 1:first_val 2:second_val ....
   fprintf(fid,' %d:%f',t);
   % new line for the next feature vec
   fprintf(fid,'\n');
   fclose(fid);
   
  %%%%%% OLD VERSION  SLOWER!!!
  
%    function export_features(features_vec,target)
%     % exports a vector to a txt file
%    I=features_vec';
%    fid=fopen('testImageWindows.txt','a');
%    fprintf(fid,'%d',target);
%    for i=1:6318
%        fprintf(fid,' %d:%f',i,I(i));
%    end
%    fprintf(fid,'\n');
%    fclose(fid);