function  markPosWindows(im,overlapping,pos)
% this function marks the positive windows in the origin image
% inputs: im= the origin image
%         overlapping= the overlapping ratio
%         pos= the positive indexes returnes by sv_classify_windows
% im=imread('crop001521.png');
origin=im;
im=rgb2gray(im);
[r,c]=size(im);
x=floor((c-64)/overlapping);

j_start=((floor(mod(pos,x))))*overlapping+1;
i_start=((floor(pos/x)+1))*overlapping+1;

j_start = j_start.';
i_start = i_start.';
start = [i_start ; j_start];

clusters = meanShift(start,32);

j_start = clusters(2,:);
i_start = clusters(1,:);

j_start = j_start.';
i_start = i_start.';

j_start = floor(j_start);
i_start = floor(i_start);

figure
imshow(origin);
% number of positive windows
vecSize=size(i_start);

mask=zeros(size(im));
% loop over all pos windows and mark them
for i=1: vecSize(1);
   
    origin(i_start(i):125+i_start(i)-1,j_start(i):j_start(i),1)=255;
    origin(i_start(i):125+i_start(i)-1,j_start(i):j_start(i),2)=242;
    origin(i_start(i):125+i_start(i)-1,j_start(i):j_start(i),3)=0;
    
    origin(i_start(i):125+i_start(i)-1,j_start(i)+62-1:j_start(i)+62-1,1)=255;
    origin(i_start(i):125+i_start(i)-1,j_start(i)+62-1:j_start(i)+62-1,2)=242;
    origin(i_start(i):125+i_start(i)-1,j_start(i)+62-1:j_start(i)+62-1,3)=0;
    
    origin(i_start(i):i_start(i), j_start(i):j_start(i)+62-1,1)=255;
    origin(i_start(i):i_start(i), j_start(i):j_start(i)+62-1,2)=242;
    origin(i_start(i):i_start(i), j_start(i):j_start(i)+62-1,3)=0;
    
    origin(i_start(i)+125-1:i_start(i)+125-1, j_start(i):j_start(i)+62-1,1)=255;
    origin(i_start(i)+125-1:i_start(i)+125-1, j_start(i):j_start(i)+62-1,2)=242;
    origin(i_start(i)+125-1:i_start(i)+125-1, j_start(i):j_start(i)+62-1,3)=0;


end

figure
imshow(origin);
end