function pos=svm_classify_windows(pathToClassifier, testImageWindowsTXT, trainedDataTXT)
% this function calls the classifier to classify the feature vectors that been 
% calculated by FindWindowHOGs
% input: pathToClassifier= the path to the SVM classifier (exe file)  
%        testImageWindowsTXT= the txt file that was calculated by FindWindowHOGs
%        trainedDataTXT= the ouput of the trained classifier

%status=system('C:\Users\ayoub\Desktop\detection2\svm_classify.exe testImageWindows.txt model.txt predWindow.txt')
status= system([pathToClassifier ' ' testImageWindowsTXT ' ' trainedDataTXT ' prediction.txt'])

% prediction.txt has negative and positive values
% positive values stands for positive windows i.e has pedestrian
% negative values stands for negative windows i.e has no pedestrians
fileID = fopen('prediction.txt','r');
formatSpec = '%f';
% read the prediction file into one vector
readPredictionFile = fscanf(fileID,formatSpec);
% find the positive values in the vector
pos=find(readPredictionFile>=0);

end

